/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * CreateCertificate
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class CreateCertificate {
  @SerializedName("contract_holder")
  private ContractHolder contractHolder = null;

  @SerializedName("product_criteria")
  private Model32 productCriteria = null;

  @SerializedName("appliance_information")
  private Model137 applianceInformation = null;

  @SerializedName("extended_warranty_information")
  private ExtendedWarrantyInformation extendedWarrantyInformation = null;

  @SerializedName("beneficiaries")
  private Model33 beneficiaries = null;

  public CreateCertificate contractHolder(ContractHolder contractHolder) {
    this.contractHolder = contractHolder;
    return this;
  }

   /**
   * Get contractHolder
   * @return contractHolder
  **/
  @ApiModelProperty(required = true, value = "")
  public ContractHolder getContractHolder() {
    return contractHolder;
  }

  public void setContractHolder(ContractHolder contractHolder) {
    this.contractHolder = contractHolder;
  }

  public CreateCertificate productCriteria(Model32 productCriteria) {
    this.productCriteria = productCriteria;
    return this;
  }

   /**
   * Get productCriteria
   * @return productCriteria
  **/
  @ApiModelProperty(required = true, value = "")
  public Model32 getProductCriteria() {
    return productCriteria;
  }

  public void setProductCriteria(Model32 productCriteria) {
    this.productCriteria = productCriteria;
  }

  public CreateCertificate applianceInformation(Model137 applianceInformation) {
    this.applianceInformation = applianceInformation;
    return this;
  }

   /**
   * Get applianceInformation
   * @return applianceInformation
  **/
  @ApiModelProperty(required = true, value = "")
  public Model137 getApplianceInformation() {
    return applianceInformation;
  }

  public void setApplianceInformation(Model137 applianceInformation) {
    this.applianceInformation = applianceInformation;
  }

  public CreateCertificate extendedWarrantyInformation(ExtendedWarrantyInformation extendedWarrantyInformation) {
    this.extendedWarrantyInformation = extendedWarrantyInformation;
    return this;
  }

   /**
   * Get extendedWarrantyInformation
   * @return extendedWarrantyInformation
  **/
  @ApiModelProperty(value = "")
  public ExtendedWarrantyInformation getExtendedWarrantyInformation() {
    return extendedWarrantyInformation;
  }

  public void setExtendedWarrantyInformation(ExtendedWarrantyInformation extendedWarrantyInformation) {
    this.extendedWarrantyInformation = extendedWarrantyInformation;
  }

  public CreateCertificate beneficiaries(Model33 beneficiaries) {
    this.beneficiaries = beneficiaries;
    return this;
  }

   /**
   * Get beneficiaries
   * @return beneficiaries
  **/
  @ApiModelProperty(required = true, value = "")
  public Model33 getBeneficiaries() {
    return beneficiaries;
  }

  public void setBeneficiaries(Model33 beneficiaries) {
    this.beneficiaries = beneficiaries;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CreateCertificate createCertificate = (CreateCertificate) o;
    return Objects.equals(this.contractHolder, createCertificate.contractHolder) &&
        Objects.equals(this.productCriteria, createCertificate.productCriteria) &&
        Objects.equals(this.applianceInformation, createCertificate.applianceInformation) &&
        Objects.equals(this.extendedWarrantyInformation, createCertificate.extendedWarrantyInformation) &&
        Objects.equals(this.beneficiaries, createCertificate.beneficiaries);
  }

  @Override
  public int hashCode() {
    return Objects.hash(contractHolder, productCriteria, applianceInformation, extendedWarrantyInformation, beneficiaries);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CreateCertificate {\n");
    
    sb.append("    contractHolder: ").append(toIndentedString(contractHolder)).append("\n");
    sb.append("    productCriteria: ").append(toIndentedString(productCriteria)).append("\n");
    sb.append("    applianceInformation: ").append(toIndentedString(applianceInformation)).append("\n");
    sb.append("    extendedWarrantyInformation: ").append(toIndentedString(extendedWarrantyInformation)).append("\n");
    sb.append("    beneficiaries: ").append(toIndentedString(beneficiaries)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

